Subject: Re: bug#39111: [Re] bug#39111: 27.0.60; Tramp offers to save password in ~/.authinfo instead of ~/.authinfo.gpg

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 02 Sep 2021 04:21:38 +0000

Hello Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
> Hi Thierry,
>
>>> It's a dirty trick to be applied only for this use case. I've added a
>>> comment to tramp-read-passwd explaining this, pushed to master.
>>
>> Note that this is (was) breaking async.el see
>> https://github.com/jwiegley/emacs-async/issues/80.
>
> I see. Do you believe we shall spend a variable, which could control
> this behavior (and could be let-bound in async.el)?

Hmm, I have no strong opinion on this, we are now using -q instead of -Q
and it seems to work fine. If emacs -q is loading much slower than with
-Q, so yes this would be a good reason for introducing a variable but I
have no clue it is true.

Thanks.

-- 
Thierry